<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="partyFacilityPurposes"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idPartyFacility"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['party-facility-purpose-popup-new-list', null] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.partyFacilityPurpose.dateFrom'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateFrom | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <p-calendar [(ngModel)]="rowData.dateFrom"
                      dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"></p-calendar>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.partyFacilityPurpose.dateThru'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateThru | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <p-calendar [(ngModel)]="rowData.dateThru"
                      dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"></p-calendar>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.partyFacilityPurpose.organization'|translate}}" *ngIf="idOrganization === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.organizationId">
                    <a [routerLink]="['../organization', rowData.organizationId  ]" >{{rowData.organizationName}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.partyFacilityPurpose.facility'|translate}}" *ngIf="idFacility === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.facilityId">
                    <a [routerLink]="['../facility', rowData.facilityId  ]" >{{rowData.facilityDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.partyFacilityPurpose.purposeType'|translate}}" *ngIf="idPurposeType === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.purposeTypeId">
                    <a [routerLink]="['../purpose-type', rowData.purposeTypeId  ]" >{{rowData.purposeTypeDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'party-facility-purpose/'+ rowData.idPartyFacility + '/edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="button"
                        (click)="delete(rowData.idPartyFacility)"
                        icon="fa-remove"
                        class="flat-button">
                    </button>
                </ng-template>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
